com.fasterxml.jackson.dataformat.avro.deser

## Class ScalarDecoder.NullReader

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder
  - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder.NullReader

- Enclosing class:
    ScalarDecoder

      protected static final class ScalarDecoder.NullReader
      extends ScalarDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder

      `ScalarDecoder.BooleanDecoder, ScalarDecoder.BytesDecoder, ScalarDecoder.DoubleReader, ScalarDecoder.EnumDecoder, ScalarDecoder.FixedDecoder, ScalarDecoder.FloatReader, ScalarDecoder.IntReader, ScalarDecoder.LongReader, ScalarDecoder.NullReader, ScalarDecoder.ScalarUnionDecoder, ScalarDecoder.StringReader`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ScalarDecoder.NullReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvroFieldReader` | `asFieldReader(String name, boolean skipper)`
    `com.fasterxml.jackson.core.JsonToken` | `decodeValue(AvroParserImpl parser)`
    `String` | `getTypeId()`
    `protected void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalarDecoder.NullReader

          protected ScalarDecoder.NullReader()

  - ### Method Detail

    - #### decodeValue

          public com.fasterxml.jackson.core.JsonToken decodeValue(AvroParserImpl parser)

      Specified by:
        `decodeValue` in class `ScalarDecoder`

    - #### skipValue

          protected void skipValue(AvroParserImpl parser)
                            throws IOException

      Specified by:
        `skipValue` in class `ScalarDecoder`
      Throws:
        `IOException`

    - #### getTypeId

          public String getTypeId()

      Specified by:
        `getTypeId` in class `ScalarDecoder`

    - #### asFieldReader

          public AvroFieldReader asFieldReader(String name,
                                      boolean skipper)

      Specified by:
        `asFieldReader` in class `ScalarDecoder`

Copyright © 2017 FasterXML. All rights reserved.